-------------------------------------------------------------------------------
--                                Read/Write Locks                           --
--                                                                           --
--  This is the class of the read / write locks                              --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/02/03 11:00:53 $
--  $RCSfile: locks-read_write.adb,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package body Locks.Read_Write is

   function Read_Lock return Read_Write_Lock_Ref is
   begin
      return new Read_Write_Lock_Type' (Kind => Read);
   end Read_Lock;

   function Write_Lock return Read_Write_Lock_Ref is
   begin
      return new Read_Write_Lock_Type' (Kind => Write);
   end Write_Lock;

   function Is_Update (Lock : Read_Write_Lock_Type) return Boolean is
   begin
      return Lock.Kind = Write;
   end Is_Update;

   function Is_Compatible (Lock : Read_Write_Lock_Type;
                           Other_Lock : Read_Write_Lock_Type)
      return Boolean is
   begin
      return Lock.Kind = Read and Other_Lock.Kind = Read;
   end Is_Compatible;

end Locks.Read_Write;
