-------------------------------------------------------------------------------
--                                Read/Write Locks                           --
--                                                                           --
--  This is the class of the read / write locks                              --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/02/03 11:00:53 $
--  $RCSfile: locks-read_write.ads,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package Locks.Read_Write is

   type Read_Write_Lock_Type is new Lock_Type with private;
   type Read_Write_Lock_Ref is access all Read_Write_Lock_Type'Class;

   function Read_Lock return Read_Write_Lock_Ref;

   function Write_Lock return Read_Write_Lock_Ref;

   function Is_Update (Lock : Read_Write_Lock_Type) return Boolean;

   function Is_Compatible (Lock : Read_Write_Lock_Type;
                           Other_Lock : Read_Write_Lock_Type)
      return Boolean;

private

   type Read_Write_Type is (Read, Write);

   type Read_Write_Lock_Type is new Lock_Type with record
      Kind : Read_Write_Type;
   end record;

end Locks.Read_Write;
