-------------------------------------------------------------------------------
--                                   Locks                                   --
--                                                                           --
--  This is the abstract root type for the locks.                            --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/02/03 10:59:53 $
--  $RCSfile: locks.ads,v $
--  $Revision: 1.3 $
--                                                                           --
-------------------------------------------------------------------------------

package Locks is

   type Lock_Type is abstract tagged private;
   type Lock_Ref is access all Lock_Type'Class;

   function Is_Update (Lock : Lock_Type) return Boolean is abstract;

   function Is_Compatible (Lock : Lock_Type;
                           Other_Lock : Lock_Type)
      return Boolean is abstract;

private

   type Lock_Type is abstract tagged null record;

end Locks;
