-------------------------------------------------------------------------------
--                             LRU Cache Manager                             --
--                                                                           --
--  This package implements a cache manager that uses the Last Recently      --
--  Used replacement policy                                                  --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/06 14:46:31 $
--  $RCSfile: cache_managers-lru.ads,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package Cache_Managers.LRU is

   type LRU_Cache_Manager_Type is new Cache_Manager_Type with private;

   type LRU_Cache_Manager_Ref is access all LRU_Cache_Manager_Type'Class;

   procedure Apply_Replacement_Policy (M : in out LRU_Cache_Manager_Type);

private

   type LRU_Cache_Manager_Type is new Cache_Manager_Type with null record;

end Cache_Managers.LRU;
