-------------------------------------------------------------------------------
--                              Memory Objects                               --
--                                                                           --
--  This is the abstract root type for the memory objects.                   --
--  It had to be introduced in order to prevent circular dependencies.       --
--  Actually, only the concrete memory objects will be used.                 --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/08/24 13:10:40 $
--  $RCSfile: memory_objects.ads,v $
--  $Revision: 1.3 $
--                                                                           --
-------------------------------------------------------------------------------

with Ada.Finalization; use Ada.Finalization;

package Memory_Objects is

   type Data_Type is private;
   type Data_Ref is access all Data_Type;

   type Abstract_Memory_Object_Type is abstract tagged limited private;
   type Memory_Object_Ref is access all Abstract_Memory_Object_Type'Class;

private

   type Data_Type is null record;

   type Abstract_Memory_Object_Type is new Limited_Controlled
     with null record;

end Memory_Objects;
