-------------------------------------------------------------------------------
--                           Loading Operations                          --
--                                                                           --
--  This is the root type for Loading operations                         --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/09/29 07:18:14 $
--  $RCSfile: operations-loading.ads,v $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

with Memory_Objects; use Memory_Objects;
with Streams; use Streams;

package Operations.Loading is

   type Loading_Operation_Type is abstract new Operation_Type with private;
   type Loading_Operation_Ref is
      access all Loading_Operation_Type'Class;

   procedure Load (Operation   : Loading_Operation_Type;
                   Data_Object : Data_Ref;
                   Stream      : Abstract_Stream_Ref) is abstract;

   procedure Create_And_Load (Operation   : Loading_Operation_Type;
                              Data_Object : out Data_Ref;
                              Strea       : Abstract_Stream_Ref) is abstract;

private

   type Loading_Operation_Type is abstract new Operation_Type with
     null record;

end Operations.Loading;
