-------------------------------------------------------------------------------
--                              Normal Operations                            --
--                                                                           --
--  This is the root type for normal operations.                             --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/27 09:41:52 $
--  $RCSfile: operations-normal.ads,v $
--  $Revision: 1.3 $
--                                                                           --
-------------------------------------------------------------------------------

with Locks; use Locks;
with Memory_Objects; use Memory_Objects;

package Operations.Normal is

   type Normal_Operation_Type is abstract new Operation_Type with private;
   type Normal_Operation_Ref is access all Normal_Operation_Type'Class;

   procedure Do_Operation (Operation   : in out Normal_Operation_Type;
                           Data_Object : in Data_Ref) is abstract;

   procedure Undo_Operation (Operation   : in out Normal_Operation_Type;
                             Data_Object : in Data_Ref) is abstract;

   function Get_Kind_Of_Lock (Operation : Normal_Operation_Type)
      return Lock_Ref is abstract;

   function Is_Update (Operation : Normal_Operation_Type)
      return Boolean is abstract;

private

   type Normal_Operation_Type is abstract new Operation_Type with null record;

end Operations.Normal;
