-------------------------------------------------------------------------------
--                               Saving Operations                           --
--                                                                           --
--  This is the root type for the saving operations                          --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/31 14:20:07 $
--  $RCSfile: operations-saving.ads,v $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

with Memory_Objects; use Memory_Objects;
with Streams; use Streams;

package Operations.Saving is

   type Saving_Operation_Type is abstract new Operation_Type with private;
   type Saving_Operation_Ref is access all Saving_Operation_Type'Class;

   procedure Save (Operation   : Saving_Operation_Type;
                   Data_Object : Data_Ref;
                   Stream      : Abstract_Stream_Ref)
      is abstract;

private

   type Saving_Operation_Type is abstract new Operation_Type with
     null record;

end Operations.Saving;
