
package Persistent_Objects.Directory_Logs is

   type Directory_Log_Type is new Persistent_Object_Type with private;
   type Directory_Log_Ref is access all Directory_Log_Type'Class;

   type Action_Type is (Creation, First_Save, Deletion);

   function Create_Object (Storage_Params : Non_Volatile_Params_Type'Class;
                           Action : Action_Type;
                           Object : Non_Volatile_Params_Type'Class)
      return Directory_Log_Ref;

   procedure Delete_Object (Log : in out Directory_Log_Type);

   function Exists (Storage_Params : Non_Volatile_Params_Type'Class)
                    return Boolean;

   function Get_Object_Params (Log : Directory_Log_Type) return
     Non_Volatile_Params_Type'Class;

   function Get_Action (Log : Directory_Log_Type) return Action_Type;

private

   type Directory_Log_Type is new Persistent_Object_Type with record
      Action : Action_Type;
      Object : Non_Volatile_Params_Ref := null;
   end record;

   procedure My_Write (Stream : access Ada.Streams.Root_Stream_Type'Class;
                       Item   : Directory_Log_Type);
   for Directory_Log_Type'Write use My_Write;

   procedure My_Read (Stream : access Ada.Streams.Root_Stream_Type'Class;
                      Item   : out Directory_Log_Type);
   for Directory_Log_Type'Read use My_Read;

end Persistent_Objects.Directory_Logs;
