-------------------------------------------------------------------------------
--                                 Atomic Calls                              --
--                                                                           --
--  This is the root type for atomic operations                              --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/02/03 10:59:55 $
--  $RCSfile: atomic_calls.ads,v $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

with Memory_Objects.Concrete; use Memory_Objects.Concrete;
with Operations.Normal; use Operations.Normal;

package Atomic_Calls is

   type Atomic_Call_Type (My_Memory_Object : Concrete_Memory_Object_Ref) is
      tagged private;
   type Atomic_Call_Ref is access all Atomic_Call_Type'Class;

   procedure Atomic_Do (Call : in Atomic_Call_Type;
                        Operation : in out Normal_Operation_Type'Class);

private

   type Atomic_Call_Type (My_Memory_Object : Concrete_Memory_Object_Ref) is
      tagged null record;

end Atomic_Calls;
