-------------------------------------------------------------------------------
--                     Log Information.Object.Create                         --
--                                                                           --
--  This is the type that is used to write Create information to the log     --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/10/02 13:08:42 $
--  $RCSfile: log_information-object-create.ads,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

with Ada.Streams;

package Log_Information.Object.Create is

   type Create_Information_Type is new Object_Information_Type with private;

   function Create (Params : in Non_Volatile_Params_Type'Class) return
     Create_Information_Type;

   procedure Delete (Creation : in Create_Information_Type);

private

   type Create_Information_Type is new Object_Information_Type with
      null record;

   procedure My_Write (Stream : access Ada.Streams.Root_Stream_Type'Class;
                       Item : Create_Information_Type);
   for Create_Information_Type'Write use My_Write;

   procedure My_Read (Stream : access Ada.Streams.Root_Stream_Type'Class;
                      Item : out Create_Information_Type);
   for Create_Information_Type'Read use My_Read;

end Log_Information.Object.Create;

