-------------------------------------------------------------------------------
--                     Log Information.Object.Redo                           --
--                                                                           --
--  This is the type that is used to write Redo information to the log       --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/10/02 13:08:43 $
--  $RCSfile: log_information-object-redo.ads,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

with Ada.Streams;

with Memory_Objects; use Memory_Objects;
with Logging_Techniques; use Logging_Techniques;
with Operations.Loading; use Operations.Loading;

package Log_Information.Object.Redo is

   type Redo_Information_Type (N : Natural) is
     new Object_Information_Type with private;

   type Redo_Information_Ref is access all Redo_Information_Type;

   function Create (Object : in Memory_Object_Ref;
                    Redo_List : Logging_Technique_Array_Type) return
     Redo_Information_Type;

   procedure Redo (Info : in Redo_Information_Type;
                   Object : in Memory_Object_Ref;
                   Loading : in Loading_Operation_Type'Class);

private

   type Redo_Information_Type (N : Natural) is new Object_Information_Type
   with record
      Information : Logging_Technique_Array_Type (1 .. N);
   end record;

   procedure My_Write (Stream : access Ada.Streams.Root_Stream_Type'Class;
                       Item : Redo_Information_Type);
   for Redo_Information_Type'Write use My_Write;

   procedure My_Read (Stream : access Ada.Streams.Root_Stream_Type'Class;
                      Item : out Redo_Information_Type);
   for Redo_Information_Type'Read use My_Read;

end Log_Information.Object.Redo;
