-------------------------------------------------------------------------------
--                      Log Informations.Object.Save                         --
--                                                                           --
--  This is the type that is used to write Save information to the log       --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/09/01 15:47:50 $
--  $RCSfile: log_informations-object-Save.adb,v $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

with Memory_Objects.Concrete; use Memory_Objects.Concrete;

package body Log_Informations.Object.Save is

   function Create (Object : in Memory_Object_Ref) return
     Save_Information_Type is
      Result : Save_Information_Type;
   begin
      Result.Params := new Non_Volatile_Params_Type'Class'
        (Get_Params (Concrete_Memory_Object_Ref (Object) .all));
      Result.Write_Count := Get_Write_Count
         (Concrete_Memory_Object_Ref (Object) .all);
      return Result;
   end Create;

   procedure My_Write (Stream : access Ada.Streams.Root_Stream_Type'Class;
                       Item : Save_Information_Type) is
   begin
      Simple_Transaction_Identifier_Type'Write (Stream, Item.Transaction);
      Non_Volatile_Params_Type'Class'Output (Stream, Item.Params.all);
      Natural'Write (Stream, Item.Write_Count);
   end My_Write;

   procedure My_Read (Stream : access Ada.Streams.Root_Stream_Type'Class;
                      Item : out Save_Information_Type) is
   begin
      Simple_Transaction_Identifier_Type'Read (Stream, Item.Transaction);
      Item.Params := new Non_Volatile_Params_Type'Class'
        (Non_Volatile_Params_Type'Class'Input (Stream));
      Natural'Read (Stream, Item.Write_Count);
   end My_Read;

end Log_Informations.Object.Save;
