-------------------------------------------------------------------------------
--                     Log Information.Object.Save                           --
--                                                                           --
--  This is the type that is used to write Save information to the log       --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/09/01 15:47:51 $
--  $RCSfile: log_informations-object-Save.ads,v $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

with Ada.Streams;

with Memory_Objects; use Memory_Objects;
with Logging_Techniques; use Logging_Techniques;

package Log_Information.Object.Save is

   type Save_Information_Type is new Object_Information_Type with private;

   function Create (Object : in Memory_Object_Ref) return
     Save_Information_Type;

private

   type Save_Information_Type is new Object_Information_Type with record
      Write_Count : Natural := 0;
   end record;

   procedure My_Write (Stream : access Ada.Streams.Root_Stream_Type'Class;
                       Item : Save_Information_Type);
   for Save_Information_Type'Write use My_Write;

   procedure My_Read (Stream : access Ada.Streams.Root_Stream_Type'Class;
                      Item : out Save_Information_Type);
   for Save_Information_Type'Read use My_Read;

end Log_Information.Object.Save;
