-------------------------------------------------------------------------------
--                    Log Information.Object.Undo                           --
--                                                                           --
--  This is the type that is used to write undo information to the log       --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/10/02 13:08:45 $
--  $RCSfile: log_information-object-undo.ads,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

with Ada.Streams;

with Memory_Objects; use Memory_Objects;
with Logging_Techniques; use Logging_Techniques;

package Log_Information.Object.Undo is

   type Undo_Information_Type (N : Natural) is
     new Object_Information_Type with private;

   function Create (Object : in Memory_Object_Ref;
                    Undo_List : Logging_Technique_Array_Type) return
     Undo_Information_Type;

private

   type Undo_Information_Type (N : Natural) is new Object_Information_Type
   with record
      Information : Logging_Technique_Array_Type (1 .. N);
   end record;

   procedure My_Write (Stream : access Ada.Streams.Root_Stream_Type'Class;
                       Item : Undo_Information_Type);
   for Undo_Information_Type'Write use My_Write;

   procedure My_Read (Stream : access Ada.Streams.Root_Stream_Type'Class;
                      Item : out Undo_Information_Type);
   for Undo_Information_Type'Read use My_Read;

end Log_Information.Object.Undo;
