-------------------------------------------------------------------------------
--                            Undo Recovery Manager                          --
--                                                                           --
--  This is the type for the Undo recovery manager                           --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/08/30 07:42:05 $
--  $RCSfile: recovery_managers-undo.ads,v $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

with Storage_Params.Non_Volatile.Stable;
use Storage_Params.Non_Volatile.Stable;

package Recovery_Managers.Undo is

   type Undo_Recovery_Manager_Type is new Recovery_Manager_Type with private;

   type Undo_Recovery_Manager_Ref is access all
      Undo_Recovery_Manager_Type'Class;

   function Create (Log_Anchor  : in Stable_Params_Type'Class;
                    Log_Storage : in Stable_Params_Type'Class)
     return Undo_Recovery_Manager_Ref;

   procedure Pre_Operation (Manager : in out Undo_Recovery_Manager_Type;
                            Object  : in Concrete_Memory_Object_Ref;
                            Transaction : in Transaction_Ref);

   procedure Post_Operation (Manager : in out Undo_Recovery_Manager_Type;
                             Object  : in Concrete_Memory_Object_Ref;
                             Transaction : in Transaction_Ref);

   procedure Recover (Manager : in out Undo_Recovery_Manager_Type);

   procedure Abort_Transaction (Manager : in out Undo_Recovery_Manager_Type;
                                Transaction : in Transaction_Ref);

   procedure Commit_Transaction (Manager : in out Undo_Recovery_Manager_Type;
                                 Transaction : in Transaction_Ref);

private

   type Undo_Recovery_Manager_Type is new Recovery_Manager_Type with null
     record;

end Recovery_Managers.Undo;
