-------------------------------------------------------------------------------
--                                 Recovery_Support                          --
--                                                                           --
--  This package contains all operations necessary for starting-up and       --
--  configuring the recovery support                                         --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/08/24 13:10:51 $
--  $RCSfile: recovery_support.ads,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

with Cache_Managers; use Cache_Managers;
with Recovery_Managers; use Recovery_Managers;
with Storage_Params.Non_Volatile.Stable;
use Storage_Params.Non_Volatile.Stable;

package Recovery_Support is

   procedure System_Init;

   procedure System_Init (Anchor : in Stable_Params_Type'Class;
                          Params : in Stable_Params_Type'Class);

   procedure System_Shutdown;

   function Get_Cache_Manager return Cache_Manager_Ref;

   function Get_Recovery_Manager return Recovery_Manager_Ref;

end Recovery_Support;


