-------------------------------------------------------------------------------
--                          Network Storage Params                           --
--                                                                           --
--  This package defines the network storage params type.                    --
--                                                                           --
--  $Author: xcaron $
--  $Date: 2000/01/24 09:56:20 $
--  $RCSfile: network_storage_params.adb,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package body Network_Storage_Params is

   function Create_Network_Params (P : in Universal_Storage_Params_Type'Class)
     return Network_Storage_Params_Type is
      Result : Network_Storage_Params_Type;
   begin
      Result.Params := new Universal_Storage_Params_Type'Class' (P);
      return Result;
   end Create_Network_Params;

   function Extract_Params (P : Network_Storage_Params_Type)
     return Universal_Storage_Params_Type'Class is
   begin
      return P.Params.all;
   end Extract_Params;

   procedure My_Write (Stream : access Ada.Streams.Root_Stream_Type'Class;
                       Item   : in Network_Storage_Params_Type)
   is
   begin -- My_Write
      if Item.Params = null then
         Boolean'Write (Stream, False);
      else
         Boolean'Write (Stream, True);
         Universal_Storage_Params_Type'Class'Output (Stream, Item.Params.all);
      end if;
   end My_Write;

   procedure My_Read (Stream : access Ada.Streams.Root_Stream_Type'Class;
                      Item   : out Network_Storage_Params_Type)
   is
      Temp : Boolean;
   begin -- My_Read
      Boolean'Read (Stream, Temp);
      if Temp then
         Item.Params := new Universal_Storage_Params_Type'Class'
           (Universal_Storage_Params_Type'Class'Input (Stream));
      end if;
   end My_Read;

end Network_Storage_Params;
