-------------------------------------------------------------------------------
--                            File Storage Params                            --
--                                                                           --
--  This package provides the storage parameters for the file storage type   --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/31 14:20:08 $
--  $Revision: 1.4 $
--                                                                           --
-------------------------------------------------------------------------------

with Storages.Non_Volatile.Non_Stable.File_Storages;
use  Storages.Non_Volatile.Non_Stable.File_Storages;

package body Storage_Params.Non_Volatile.Non_Stable.File_Storage_Params is

   function String_To_Storage_Params (S : in String)
                                      return File_Storage_Params_Type is
   begin
      return -- File_Storage_Params_Type'  (Pas necessaire)
             (File_Name => (N => S'Length, Name => S));
   end String_To_Storage_Params;

   function Storage_Params_To_String (Params : in File_Storage_Params_Type)
                                      return String is
   begin
      return Params.File_Name.Name;
   end Storage_Params_To_String;

   function Create_Storage (Params : in File_Storage_Params_Type)
                            return Storage_Ref is
   begin
      return Storage_Ref (Create (Params));
   end Create_Storage;

   function Open_Storage (Params : in File_Storage_Params_Type;
                          Mode   : in Mode_Type := In_Mode)
                          return Non_Volatile_Storage_Ref is
   begin
      return Non_Volatile_Storage_Ref (Open (Params, Mode));
   end Open_Storage;

end Storage_Params.Non_Volatile.Non_Stable.File_Storage_Params;
