-------------------------------------------------------------------------------
--                            File Storage Params                            --
--                                                                           --
--  This package provides the storage parameters for the file storage type   --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/05 14:55:10 $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

package Storage_Params.Non_Volatile.Non_Stable.File_Storage_Params is

   type File_Storage_Params_Type is new Non_Stable_Params_Type with private;

   function String_To_Storage_Params (S : in String)
     return File_Storage_Params_Type;

   function Storage_Params_To_String (Params : in File_Storage_Params_Type)
     return String;

   function Create_Storage (Params : in File_Storage_Params_Type)
     return Storage_Ref;

   function Open_Storage (Params : in File_Storage_Params_Type;
                          Mode   : in Mode_Type := In_Mode)
     return Non_Volatile_Storage_Ref;

private

   subtype Index_Type is Natural range 0 .. 255;

   type File_Name_Type (N : Index_Type := 0) is record
      Name : String (1 .. N);
   end record;

   type File_Storage_Params_Type is new Non_Stable_Params_Type with record
     File_Name : File_Name_Type;
   end record;

end Storage_Params.Non_Volatile.Non_Stable.File_Storage_Params;
