-------------------------------------------------------------------------------
--                                 Non Volatile                              --
--                                                                           --
--  This package and its child packages provide the storage parameters for   --
--  the non volatile storage hierarchy.                                      --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/05 12:57:07 $
--  $RCSfile: storage_params-non_volatile.ads,v $
--  $Revision: 1.1.1.1 $
--                                                                           --
-------------------------------------------------------------------------------

with Storages.Non_Volatile; use Storages.Non_Volatile;

package Storage_Params.Non_Volatile is

   type Non_Volatile_Params_Type is abstract
      new Storage_Params_Type with private;

   type Non_Volatile_Params_Ref is access all Non_Volatile_Params_Type'Class;

   function Open_Storage (Params : in Non_Volatile_Params_Type;
                          Mode   : in Mode_Type := In_Mode)
     return Non_Volatile_Storage_Ref is abstract;

private

   type Non_Volatile_Params_Type is abstract
      new Storage_Params_Type with null record;

end Storage_Params.Non_Volatile;
