-------------------------------------------------------------------------------
--                           Memory Storage Params                           --
--                                                                           --
--  This package provides the storage parameters for the memory storage type --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/13 16:11:10 $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

with Storages.Volatile.Memory_Storages;
use Storages.Volatile.Memory_Storages;

package body Storage_Params.Volatile.Memory_Storage_Params is

   function String_To_Storage_Params (S : in String)
      return Memory_Storage_Params_Type is
   begin
      return (Memory_Name => (N => S'Length, Name => S));
   end String_To_Storage_Params;

   function Storage_Params_To_String (Params : in Memory_Storage_Params_Type)
      return String is
   begin
      return Params.Memory_Name.Name;
   end Storage_Params_To_String;

   function Create_Storage (Params : in Memory_Storage_Params_Type)
      return Storage_Ref is
   begin
      return new Memory_Storage_Type;
   end Create_Storage;

end Storage_Params.Volatile.Memory_Storage_Params;
