-------------------------------------------------------------------------------
--                           Memory Storage Params                           --
--                                                                           --
--  This package provides the storage parameters for the memory storage type --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/13 16:11:10 $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package Storage_Params.Volatile.Memory_Storage_Params is

   type Memory_Storage_Params_Type is new Volatile_Params_Type with private;

   function String_To_Storage_Params (S : in String)
     return Memory_Storage_Params_Type;

   function Storage_Params_To_String (Params : in Memory_Storage_Params_Type)
     return String;

   function Create_Storage (Params : in Memory_Storage_Params_Type)
     return Storage_Ref;

private

   subtype Index_Type is Natural range 0 .. 255;

   type Memory_Name_Type (N : Index_Type := 0) is record
      Name : String (1 .. N);
   end record;

   type Memory_Storage_Params_Type is new Volatile_Params_Type with record
     Memory_Name : Memory_Name_Type;
   end record;

end Storage_Params.Volatile.Memory_Storage_Params;
