-------------------------------------------------------------------------------
--                               Storage Params                              --
--                                                                           --
--  This package and its child packages provide the storage parameters for   --
--  the storage types hierarchy.                                             --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/10 13:40:07 $
--  $RCSfile: storage_params.ads,v $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

with Storages; use Storages;
with Universal_Storage_Params; use Universal_Storage_Params;

package Storage_Params is

   type Storage_Params_Type is abstract new Universal_Storage_Params_Type
     with private;

   type Storage_Params_Ref is access all Storage_Params_Type'Class;

   function String_To_Storage_Params (S : in String)
     return Storage_Params_Type is abstract;

   function Storage_Params_To_String (Params : in Storage_Params_Type)
     return String is abstract;

   function Create_Storage (P : in Storage_Params_Type)
     return Storage_Ref is abstract;

private

   type Storage_Params_Type is abstract new Universal_Storage_Params_Type with
     null record;

end Storage_Params;
