-------------------------------------------------------------------------------
--                            Non-stable Storages                            --
--                                                                           --
--  Non-stable storage types represent storage that is non-volatile, which   --
--  means that the data will stay in the storage even if the program         --
--  terminates. But if the program crashes, there is no guarantee that the   --
--  data won't be corrupted.                                                 --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/05 12:57:07 $
--  $RCSfile: storages-non_volatile-non_stable.ads,v $
--  $Revision: 1.1.1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package Storages.Non_Volatile.Non_Stable is

   type Non_Stable_Storage_Type is abstract
      new Non_Volatile_Storage_Type with private;
   type Non_Stable_Storage_Ref is access all Non_Stable_Storage_Type'Class;

private

   type Non_Stable_Storage_Type is abstract new Non_Volatile_Storage_Type
     with null record;

end Storages.Non_Volatile.Non_Stable;
