-------------------------------------------------------------------------------
--                               Stable Storages                             --
--                                                                           --
--  Stable storage types represent storage that can survive program          --
--  termination as well as crash failures. Using techniques such as          --
--  mirroring or transactions, all or nothing semantics must be guaranteed   --
--  for the Write procedure.                                                 --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/05 12:57:08 $
--  $RCSfile: storages-non_volatile-stable.ads,v $
--  $Revision: 1.1.1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package Storages.Non_Volatile.Stable is

   type Stable_Storage_Type is abstract
      new Non_Volatile_Storage_Type with private;
   type Stable_Storage_Ref is access all Stable_Storage_Type'Class;

private

   type Stable_Storage_Type is abstract new Non_Volatile_Storage_Type
     with null record;

end Storages.Non_Volatile.Stable;
