-------------------------------------------------------------------------------
--                      Transactional Task Attributes                        --
--                                                                           --
--  This package provides the task attributes                                --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/12/13 15:54:17 $
--  $RCSfile: transactional_task_attributes.adb,v $
--  $Revision: 1.5 $
--                                                                           --
-------------------------------------------------------------------------------

with Ada.Unchecked_Deallocation;
with Transaction_Identifiers.Task_Attribute_Interface;
use Transaction_Identifiers.Task_Attribute_Interface;

package body Transactional_Task_Attributes is

   procedure Free is new Ada.Unchecked_Deallocation
     (Transaction_Identifier_Type, Transaction_Identifier_Ref);

   procedure Finalize (Attribute : in out Transactional_Task_Attribute_Type) is
   begin
      if Attribute.Current_Tid /= null then
         Abort_Transaction;
         Free (Attribute.Current_Tid);
      end if;
   end Finalize;

end Transactional_Task_Attributes;
