-------------------------------------------------------------------------------
--                      Transactional Task Attributes                        --
--                                                                           --
--  This package provides the task attributes                                --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/02/03 15:04:58 $
--  $RCSfile: transactional_task_attributes.ads,v $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

with Ada.Finalization;
with Transaction_Identifiers; use Transaction_Identifiers;

package Transactional_Task_Attributes is

   type Transactional_Task_Attribute_Type is new
      Ada.Finalization.Controlled with
   record
      Current_Tid : Transaction_Identifier_Ref := null;
   end record;

   type Transactional_Task_Attribute_Ref is access all
      Transactional_Task_Attribute_Type;

   procedure Finalize (Attribute : in out Transactional_Task_Attribute_Type);

   Null_Task_Attribute : constant Transactional_Task_Attribute_Type :=
     (Ada.Finalization.Controlled with Current_Tid => null);

end Transactional_Task_Attributes;
