with Ada.Text_IO;

package body Debug is

   Display : array (Debug_Info) of Boolean :=
     (Initialization => True, others => False);

   procedure Toggle (Info : Debug_Info := Normal) is
   begin
      Display (Info) := not Display (Info);
   end Toggle;

   procedure Put_Line (Text : String; Info : Debug_Info := Normal) is
   begin
      if Display (Info) then
         Ada.Text_IO.Put_Line (Text);
      end if;
   end Put_Line;

   procedure Put (Text : String; Info : Debug_Info := Normal) is
   begin
      if Display (Info) then
         Ada.Text_IO.Put (Text);
      end if;
   end Put;

   procedure New_Line (Info : Debug_Info := Normal) is
   begin
      if Display (Info) then
         Ada.Text_IO.New_Line;
      end if;
   end New_Line;

end Debug;

