with Ada.Unchecked_Deallocation;

package body Linked_Lists_With_Refkey is

   procedure Free is new Ada.Unchecked_Deallocation
     (Key_Type, Key_Ref);

   procedure Free is new Ada.Unchecked_Deallocation
     (List_Node_Type, List_Type);

   procedure Insert_Element (List : in out List_Type;
                             Key : in Key_Type;
                             Element : in Element_Type) is
      Tmp : List_Type := new List_Node_Type;
   begin
      Tmp.Element := Element;
      Tmp.Key := new Key_Type' (Key);
      Tmp.Next := List;
      List := Tmp;
   end Insert_Element;

   procedure Delete_Element (List : in out List_Type;
                             Key : in Key_Type) is
      Prev : List_Type := List;
      Tmp : List_Type := List;
   begin
      while Tmp /= null loop
         if Tmp.Key.all = Key then
            Free (Tmp.Key);
            if Tmp = List then
               List := Tmp.Next;
            else
               Prev.Next := Tmp.Next;
            end if;
            Free (Tmp);
            return;
         end if;
         Prev := Tmp;
         Tmp := Tmp.Next;
      end loop;
      raise No_Such_Key;
   end Delete_Element;

   function Find (List : in List_Type;
                  Key : in Key_Type) return Element_Type is
      Tmp : List_Type := List;
   begin
      while Tmp /= null loop
         if Tmp.Key.all = Key then
            return Tmp.Element;
         end if;
         Tmp := Tmp.Next;
      end loop;
      raise No_Such_Key;
   end Find;

end Linked_Lists_With_Refkey;
